package bin;

import lib.CLIAppBase;
import kernel.peripherals.Peripherals.Peripheral;

using tink.CoreApi;

class Redstone extends CLIAppBase{
	public function new() {
		registerSyncSubcommand("on", (args)-> {
			Peripheral.instance.getRedstone(args[0]).setOutput(true);
			return true;
		},"<side>");

		registerSyncSubcommand("off", (args)-> {
			Peripheral.instance.getRedstone(args[0]).setOutput(false);
			return true;
		},"<side>");

		registerSyncSubcommand("get", (args)-> {
			var value = Peripheral.instance.getRedstone(args[0]).getAnalogInput();
			handle.write("Analog input: " + value);
			return true;
		},"<side>");
	}
}
